<?php 
class Acl {
	
	public static function UsuarioActualTieneAcceso($controller, $action){
		if(usuario::isLoggedIn()){
			$usuario = Usuario::UsuarioLoqueado();
			if($usuario->esPerfilSuperAdministrador()){
				$vista = Vista::cargaVistaByNombres($controller, $action);
				return true;
			}
			$perfiles = $usuario->perfiles;
		}else{
			$perfiles = array();
			$perfiles[] = Perfil::loadByNombre(Configuracion::get(Usuario::INVITADO))->id;
		}

		$vista = Vista::cargaVistaByNombres($controller, $action);
		
		$permitidos = array_uintersect($perfiles, $vista->perfiles, 'strcasecmp');
		if(count($permitidos)){
			return true;
		}
		
		return false;
	}
	
}